#
# spec file for package python-aiounittest
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2019 Matthias Fehring <buschmann23@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
Name:           python-aiounittest
Version:        1.4.2
Release:        2.7
Summary:        Test AyncIO Python Code Easily
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/kwarunek/aiounittest
Source:         https://github.com/kwarunek/aiounittest/archive/%{version}.tar.gz#/aiounittest-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wrapt}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-wrapt
BuildArch:      noarch
%python_subpackages

%description
This is a helper library to ease of your pain (and boilerplate), when writing a
test of the asynchronous code (asyncio). You can test:

* synchronous code (same as the unittest.TestCase)
* asynchronous code, it supports syntax with async/await (Python 3.5+) and
  asyncio.coroutine/yield from (Python 3.4)

%prep
%setup -q -n aiounittest-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/aiounittest-%{version}-*.egg-info/
%{python_sitelib}/aiounittest

%changelog
* Wed May 10 2023 Matej Cepl <mcepl@suse.com>
- Clean up SPEC file
* Thu Aug  4 2022 Otto Hollmann <otto.hollmann@suse.com>
- Update to 1.4.2:
  * test_sync_async_add: After closing the default event loop, set a new one
  * Don't run @asyncio.coroutine tests with Python 3.11
* Sat Jan 15 2022 Dirk Müller <dmueller@suse.com>
- update to 1.4.1:
  * declare python 3.9+ as supported
* Sat Nov 28 2020 John Vandenberg <jayvdb@gmail.com>
- Fix URL
- Activate test suite
- Update to v1.4.0
* Fri Dec  6 2019 Matthias Fehring <buschmann23@opensuse.org>
- update to version 1.3.1
  + RuntimeError was thrown the decorator trying to get the default event.
    Issue #10
- update to version 1.3.0
  + feature: added py.typed
* Tue Jul  2 2019 Matthias Fehring <buschmann23@opensuse.org>
- initial package version 1.2.1
